Bug 857559 - inotify_add_watch failed on '/var/spool/abrt': No space left on device
inotify_add_watch failed on '/var/spool/abrt': No space left on device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 16:31 EDT by Andy Lawrence
Modified: 2013-07-31 20:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:01:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Lawrence 2012-09-14 16:31:03 EDT
Description of problem:

Run abrt-gui as normal user, not root caused two errors:

[andy@dev abrt]$ abrt-gui -v
Initializing inotify
Adding inotify watch to glib main loop
inotify_add_watch failed on '/var/spool/abrt': No space left on device
inotify_add_watch failed on '/home/andy/.cache/abrt/spool': No space left on device
[andy@dev abrt]$ 

Running at root user errors are not displayed.  Abrt-gui works, you just have to click OK on the gui warning boxes to continue.


Output of df -h

[root@dev abrt]# df -h
Filesystem           Size  Used Avail Use% Mounted on
rootfs                58G   48G  9.4G  84% /
devtmpfs             3.8G     0  3.8G   0% /dev
tmpfs                3.8G  396K  3.8G   1% /dev/shm
tmpfs                3.8G  1.2M  3.8G   1% /run
/dev/sda4             58G   48G  9.4G  84% /
tmpfs                3.8G     0  3.8G   0% /sys/fs/cgroup
tmpfs                3.8G     0  3.8G   0% /media
/dev/sda2            485M  418M   42M  92% /boot
[root@dev abrt]# 

Note, this is not a standard LVM install:

[root@dev abrt]# parted
GNU Parted 3.0
Using /dev/sda
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
Model: ATA M4-CT064M4SSD2 (scsi)
Disk /dev/sda: 64.0GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt
Disk Flags: pmbr_boot

Number  Start   End     Size    File system     Name  Flags
 1      1049kB  2097kB  1049kB                        bios_grub
 2      2097kB  526MB   524MB   ext4            ext4  boot
 3      526MB   1600MB  1074MB  linux-swap(v1)
 4      1600MB  64.0GB  62.4GB  ext4

(parted)  

Version-Release number of selected component (if applicable):

Fedora release 17 (Beefy Miracle)
abrt-gui-2.0.12-1.fc17.x86_64

How reproducible:

Everytime

Steps to Reproduce:
1.  Open abrt-gui as normal user (errors appear on console output)
2.  Check the checkbox "Show all problems"
3.  Log-in
4.  Both GUI messages will be displayed

No other log files attached, I couldn't find any further error/warning info.
Comment 1 Jiri Moskovcak 2012-10-22 06:48:46 EDT
Do you still experience this problem?
Comment 2 Andy Lawrence 2012-10-23 14:45:52 EDT
Yes, I am still experiencing this problem.
Comment 3 Fedora End Of Life 2013-07-03 18:16:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 20:01:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.